/* $Id: MemoPadRegion.java 185 2011-05-27 03:51:24Z minao $ */
package smart_gs.logical.region;

import java.awt.Color;
import java.awt.geom.Rectangle2D;
import java.awt.geom.Rectangle2D.Double;


import smart_gs.drawing_tool.view.AnchorView;
import smart_gs.drawing_tool.view.View;
import smart_gs.logical.AnchorTextSegment;
import smart_gs.logical.Region;
import smart_gs.logical.Spread;

public class AnchorRegion extends Region{
	
	private AnchorTextSegment anchorTextSegment;

	public AnchorRegion(Spread spread, View view, String uri, String originalURI, String version){
		super(spread, view,uri,originalURI, version);
	}


	public AnchorRegion(Spread spread, Rectangle2D rectangle) {
		super(spread, new AnchorView(rectangle));
	}


	public AnchorRegion getRegion(Region region) {
		return (AnchorRegion) region;
	}


	public void setAnchorTextSegment(AnchorTextSegment anchorTextSegment) {
		this.anchorTextSegment = anchorTextSegment;		
	}


	public AnchorTextSegment getAnchorTextSegment() {
		return this.anchorTextSegment;
	}
	
}
